| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Mtp3SummaryDialog Class Reference

Dialog for displaying MTP3 summary statistics. More...

`#include <mtp3_summary_dialog.h>`

Inheritance diagram for Mtp3SummaryDialog:

## Public Member Functions
| Mtp3SummaryDialog (QWidget &parent, CaptureFile &capture_file)
| Constructs a new Mtp3SummaryDialog.
| ~Mtp3SummaryDialog ()
| Destroys the Mtp3SummaryDialog.
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
| Constructs a new WiresharkDialog object.
bool | fileClosed () const
| Checks if the capture file has been closed.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Additional Inherited Members
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent e)
| Handles capture events.
Protected Member Functions inherited from WiresharkDialog
virtual void | keyPressEvent (QKeyEvent *event) override
| Handles key press events.
virtual void | accept () override
| Accepts the dialog.
virtual void | reject () override
| Rejects the dialog.
virtual void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
| Retrieves the current window subtitle.
virtual void | updateWidgets ()
| Updates the state and contents of the dialog's widgets.
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | listening () const
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.
virtual void | captureFileClosed ()
| Called when the capture file was closed. This can be used to enable or disable widgets according to the state of file_closed_. updateWidgets() is called at the end.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
| Reference to the underlying capture file.
bool | file_closed_
| Flag indicating if the capture file has been closed.

## Detailed Description

Dialog for displaying MTP3 summary statistics.

## Constructor & Destructor Documentation

## ◆ Mtp3SummaryDialog()

Mtp3SummaryDialog::Mtp3SummaryDialog | ( | QWidget & | parent,
|  | CaptureFile & | capture_file )
| explicit

Constructs a new Mtp3SummaryDialog.

Parameters

  parent | The parent widget.
  capture_file | The associated capture file.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/mtp3_summary_dialog.h
- /builds/wireshark/wireshark/ui/qt/mtp3_summary_dialog.cpp